﻿using F121987_SampleApp1.Model;
using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace F121987_SampleApp1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDataChart1_MouseMove(object sender, MouseEventArgs e)
        {
            // Get the sender chart instant
            XamDataChart chart = sender as XamDataChart;

            // Get the world coordinate of the Crosshair
            Point crosshairPoint = chart.CrosshairPoint;
            if (Double.IsNaN(crosshairPoint.X) || Double.IsNaN(crosshairPoint.Y))
            {
                return;
            }

            // Get the "lineSeries1"
            Series series = chart.Series.FirstOrDefault(s => s.Name == "lineSeries1");
            if (series == null)
            {
                return;
            }

            // Get the data item nearest to the Crosshair
            DataPoint dataPoint = series.GetItem(crosshairPoint) as DataPoint;  // Cast to the class of your data model.
            // If we get it
            if (dataPoint != null)
            {
                // Update the textboxes with the data item values.
                // NOTE: Format the values by yourself if necessary.
                textBlockLine1X.Text = dataPoint.XValue.ToString();
                textBlockLine1Y.Text = dataPoint.YValue.ToString();
            }
        }
    }
}
